HomeDocs
Documentation API Reference CLI Migrate to code
Getting started
Agents
Start an agent run POSTGet agent status and recent history GETSend a follow-up message to an existing agent conversation POST
Code Reviews
List code reviews GETCreate a code review run POSTGet a code review and linked agent state GET
Triage
Send a bug report to Triage POST
Webhooks
POST agentCompleted POST
Types
ChatModelId SCHEMAChatModelResponseId SCHEMACreateAgentRequest SCHEMACreateAgentResponse SCHEMACreateCodeReviewRequest SCHEMACreateCodeReviewResponse SCHEMACreateTriageReportRequest SCHEMACreateTriageReportResponse SCHEMACodeReviewSummary SCHEMAListCodeReviewsResponse SCHEMAGetAgentResponse SCHEMAGetCodeReviewResponse SCHEMASendAgentMessageRequest SCHEMASendAgentMessageResponse SCHEMACompletionWebhookPayload SCHEMAApiErrorResponse SCHEMA
Documentation

SendAgentMessageRequest

Schema

Fields

· 4
prompt string · min length: 1 required

User prompt to send to the model.

permission string · enum

Whether the run can only inspect the app or is also allowed to make edits.

values

  • read_only
  • allow_edits
permittedBranches array of string · max items: 50

Branches the run is allowed to access when branch restrictions apply.

completionWebhookUrl string · uri

Webhook URL Buildprint will call when the run completes.

Used by

· 1 operation
POST Send a follow-up message to an existing agent conversation
Privacy PolicyTerms of Service